import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnInit, QueryList, SimpleChanges } from "@angular/core";
import { MatIconRegistry } from "@angular/material/icon";
import { DomSanitizer } from "@angular/platform-browser";
import { ItemIconType } from "../related/common/item-icon-type.enum";
import { QMSBreadcrumbItemDirective } from "./breadcrumb-item.directive";
import { BreadcrumbNode } from "./model/breadcrumb-node.model";
export declare class QMSBreadcrumb implements OnInit, AfterViewInit {
    private ele;
    private iconRegistry;
    private cdRef;
    private sanitizer;
    nodes: BreadcrumbNode[];
    type: string;
    maxLine: number;
    numDisplayItem: number;
    onlyItem: boolean;
    disabledLastItem: boolean;
    onItemClick: EventEmitter<any>;
    breadCrumbNodes: QueryList<QMSBreadcrumbItemDirective>;
    dropdownNodes: BreadcrumbNode[];
    isOverflow: boolean;
    homeNode: BreadcrumbNode;
    previousNode: BreadcrumbNode;
    itemNodes: BreadcrumbNode[];
    itemSpace: number;
    itemIconType: any;
    isMobileType: boolean;
    constructor(ele: ElementRef, iconRegistry: MatIconRegistry, cdRef: ChangeDetectorRef, sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    checkOverflow(width: number): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    initBreadCrumb(): void;
    buildBreadcrumb(): void;
    getItemIconType(treeConfig: BreadcrumbNode): ItemIconType;
    getImagePath(node: BreadcrumbNode): string;
    onKeyPressed(event: any): void;
    onItemSelect(item: BreadcrumbNode, isLastItem?: boolean): void;
}
